Bug 52540 - Multiple entries for /var/log/cron installed in /etc/logrotate.d, logrotate fails
Multiple entries for /var/log/cron installed in /etc/logrotate.d, logrotate f...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-24 16:06 EDT by nic
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-24 16:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nic 2001-08-24 16:06:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The RedHat 7.1 packages vixie-cron-3.0.1-40 and sysklogd-1.4-7 both 
install entries into /etc/logrotate.d to rotate the file /var/log/cron  
This causes logrotate to exit with the error message:

error: cron:1 duplicate log entry for /var/log/cron

None of the logs on the system get rotated at all.

One of these two packages needs the entry for cron removed, or logrotate 
needs to not have one bad entry wreck the whole process.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install logrotate, vixie-cron and sysklogd packages from RH7.1

2a. Run the command: rpm -qf `grep -l cron /etc/logrotate.d/*`  It should 
answer:
    vixie-cron-3.0.1-40
    sysklogd-1.4-7
2b.  Run the command: logrotate /etc/logrotate.conf  It should answer:
    error: cron:1 duplicate log entry for /var/log/cron

Actual Results:  logrotate errored out, no logs rotated

Expected Results:  no error messages, rotated logs

Additional info:

Workaround:  Delete one of the cron entries in /etc/logrotate.d and all is 
well.  sysklogd installs its entry inside the 
file /etc/logrotate.d/sysklogd, edit the file and remove the /var/log/cron 
section

vixie-cron installs its entry in /etc/logrotate.d/cron.  Delete the file.
Comment 1 Bill Nottingham 2001-08-24 23:45:20 EDT
This is fixed in a later vixie-cron package, such as the one in the roswell beta.
Comment 2 nic 2001-08-27 12:49:23 EDT
Adding vixie-cron-3.0.1-63.i386.rpm to the RH7.1/updates tree would help guys 
like me find it alot easier..

Note You need to log in before you can comment on or make changes to this bug.